﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.LayoutControls;
using System.Collections;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        CreateWebTabDynamically();
    }

    public ArrayList QueryTabs
    {
        get
        {
            object tabs = Session["Tabs"];
            return tabs == null ? new ArrayList() : (ArrayList)tabs;
        }
        set
        {
            Session["Tabs"] = value;
        }
    }

    protected void TabItemClosed(object sender, TabItemEventArgs e)
    {
        int count = this.webTab.Tabs.Count;
        while (count-- > 0)
        {
            ContentTabItem tab = this.webTab.Tabs[count];
            if (tab.Hidden)
            {
                this.webTab.Tabs.Remove(tab);
                ArrayList queryTabs = new ArrayList(QueryTabs);
                queryTabs.RemoveAt(count);
                QueryTabs = queryTabs;
            }
        }
    }
    protected void AddTab(object sender, EventArgs e)
    {
        ArrayList tempQTab = QueryTabs;
        int i = QueryTabs.Count;
        string tabName = "Tab" + i;
        QueryTab tab = new QueryTab(tabName);
        tempQTab.Add(tab);
        QueryTabs = tempQTab;
        tab.Text = tab.TabName;
        tab.Key = tab.TabName;
        tab.UserControlUrl = "Test1.ascx";
        webTab.Tabs.Add(tab);
 
    }


    private object CreateWebTabDynamically()
    {
        ArrayList tabs = QueryTabs;

        for (int i = 0; i < tabs.Count; ++i)
        {
            QueryTab tab = (QueryTab)tabs[i];
            tab.Text = tab.TabName;
            tab.Key = tab.TabName;
            tab.UserControlUrl = "Test1.ascx";
            tab.Visible = true;
            tab.Enabled = true;
            webTab.Tabs.Add(tab);
        }
        return tabs;
    }

}

public class QueryTab : ContentTabItem
{
    private string _tabName;
    public string TabName
    {
        get { return _tabName; }
    }
    public QueryTab(string tabName)
    {
        _tabName = tabName;
    }
}